net.posprinter.service

## Class PrinterConnectionsService.printerBinder

- java.lang.Object
- - android.os.Binder
  - - net.posprinter.service.PrinterConnectionsService.printerBinder

- All Implemented Interfaces:
    android.os.IBinder, PrinterBinder
  Enclosing class:
    PrinterConnectionsService

      public class PrinterConnectionsService.printerBinder
      extends android.os.Binder
      implements PrinterBinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.IBinder

      `android.os.IBinder.DeathRecipient`

  - ### Field Summary

    - ### Fields inherited from interface android.os.IBinder

      `DUMP_TRANSACTION, FIRST_CALL_TRANSACTION, FLAG_ONEWAY, INTERFACE_TRANSACTION, LAST_CALL_TRANSACTION, LIKE_TRANSACTION, PING_TRANSACTION, TWEET_TRANSACTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `printerBinder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptdatafromprinter(java.lang.String ip, TaskCallback callback)`
    `void` | `checkLinkedState(java.lang.String ip, TaskCallback execute)`
    `void` | `clearBuffer(java.lang.String ip)`
    `void` | `connectBtPort(java.lang.String bluetoothID, TaskCallback callback)`
    `void` | `connectNetPort(java.lang.String ip, TaskCallback callback)`
    `void` | `connectUsbPort(android.content.Context context, java.lang.String usbPathName, TaskCallback callback)`
    `void` | `disconnectAll(TaskCallback callback)`
    `void` | `disconnectCurrentPort(java.lang.String ip, TaskCallback callback)`
    `boolean` | `isConnect(java.lang.String ip)`
    `RoundQueue<byte[]>` | `readBuffer(java.lang.String ip)`
    `void` | `write(java.lang.String ip, byte[] data, TaskCallback callback)`
    `void` | `writeDataByYouself(java.lang.String ip, TaskCallback callback, ProcessData processData)`

    - ### Methods inherited from class android.os.Binder

      `attachInterface, clearCallingIdentity, clearCallingWorkSource, dump, dump, dumpAsync, flushPendingCommands, getCallingPid, getCallingUid, getCallingUidOrThrow, getCallingUserHandle, getCallingWorkSourceUid, getInterfaceDescriptor, isBinderAlive, joinThreadPool, linkToDeath, onTransact, pingBinder, queryLocalInterface, restoreCallingIdentity, restoreCallingWorkSource, setCallingWorkSourceUid, transact, unlinkToDeath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface android.os.IBinder

      `getSuggestedMaxIpcSizeBytes`

- - ### Constructor Detail

    - #### printerBinder

          public printerBinder()

  - ### Method Detail

    - #### connectBtPort

          public void connectBtPort(java.lang.String bluetoothID,
                                    TaskCallback callback)

      Specified by:
        `connectBtPort` in interface `PrinterBinder`

    - #### connectUsbPort

          public void connectUsbPort(android.content.Context context,
                                     java.lang.String usbPathName,
                                     TaskCallback callback)

      Specified by:
        `connectUsbPort` in interface `PrinterBinder`

    - #### connectNetPort

          public void connectNetPort(java.lang.String ip,
                                     TaskCallback callback)

      Specified by:
        `connectNetPort` in interface `PrinterBinder`

    - #### disconnectCurrentPort

          public void disconnectCurrentPort(java.lang.String ip,
                                            TaskCallback callback)

      Specified by:
        `disconnectCurrentPort` in interface `PrinterBinder`

    - #### disconnectAll

          public void disconnectAll(TaskCallback callback)

      Specified by:
        `disconnectAll` in interface `PrinterBinder`

    - #### acceptdatafromprinter

          public void acceptdatafromprinter(java.lang.String ip,
                                            TaskCallback callback)

      Specified by:
        `acceptdatafromprinter` in interface `PrinterBinder`

    - #### readBuffer

          public RoundQueue<byte[]> readBuffer(java.lang.String ip)

      Specified by:
        `readBuffer` in interface `PrinterBinder`

    - #### clearBuffer

          public void clearBuffer(java.lang.String ip)

      Specified by:
        `clearBuffer` in interface `PrinterBinder`

    - #### checkLinkedState

          public void checkLinkedState(java.lang.String ip,
                                       TaskCallback execute)

      Specified by:
        `checkLinkedState` in interface `PrinterBinder`

    - #### write

          public void write(java.lang.String ip,
                            byte[] data,
                            TaskCallback callback)

      Specified by:
        `write` in interface `PrinterBinder`

    - #### writeDataByYouself

          public void writeDataByYouself(java.lang.String ip,
                                         TaskCallback callback,
                                         ProcessData processData)

      Specified by:
        `writeDataByYouself` in interface `PrinterBinder`

    - #### isConnect

          public boolean isConnect(java.lang.String ip)

      Specified by:
        `isConnect` in interface `PrinterBinder`